%define oname freelords
%define name freelords-cvs-sdl
%define version  2.4
%define cvs_rel 20031003
%define release 0.%{cvs_rel}.1mdk
%define Summary A Linux clone of the old dos game W*arLords.
%define Group Games/Strategy
%define iconname %{name}.png

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:          %{Group}
Source:        FreeLords-CVS-SDL-%{cvs_rel}.tar.bz2
URL:            http://sourceforge.net/projects/freelords
Packager:  Charles A Edwards <eslrahc@bellsouth.net>
BuildRoot: 	%_tmppath/%{name}-buildroot
BuildRequires: libsigc++1.2-devel >= 1.2.0
BuildRequires: paragui-devel >= 1.0.4
BuildRequires: SDL_image-devel >= 1.2.0 
BuildRequires: ImageMagick

%description
FreeLords is a turn-based strategy game similar to W*rl*rds. 
It can be played with friends on one computer or via a network.

%prep
rm -rf %{buildroot}
%setup -q -n FreeLords-CVS-SDL-%{cvs_rel}

%build

%configure2_5x

%make

%install
%makeinstall_std

##put bin in _gamesbindir##
mkdir -p %{buildroot}/%{_gamesbindir}
mv -f %{buildroot}/%{_bindir}/%{oname} %{buildroot}%{_gamesbindir}/%{oname}

##cp docs that are not installed##
mkdir -p %{buildroot}/%{_datadir}/%{oname}/doc
cp -f doc/* %{buildroot}/%{_datadir}/%{oname}/doc 

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert dat/various/sword.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert dat/various/sword.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert dat/various/sword.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{_gamesbindir}/%{oname}" \
	icon="%{iconname}" \
	title="FreeLords" \
	longtitle="%{Summary}" \
	needs="x11" \
	section="Amusement/Strategy"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot} 

%files  
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog DEPENDENCIES HACKER INSTALL NEWS README TODO
%doc %dir %{_datadir}/%{oname}/doc/*
%config(noreplace) %_sysconfdir/freelordsrc
%{_gamesbindir}/%{oname}
%{_datadir}/%{oname}/citynames
%{_datadir}/%{oname}/default.zip
%{_datadir}/%{oname}/heronames
%{_datadir}/%{oname}/army/*
%{_datadir}/%{oname}/map/*
%{_datadir}/%{oname}/various/*
%{_menudir}/%{name} 
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%changelog
* Wed Oct 08 2003 Charles A Edwards <eslrahc@bellsouth.net> 2.4-0.20031003.1mdk
- first Mdk pkg





